#!/bin/sh

demopfx="MySxe_"
# form1, form3, or form3-trailpage
subfolder="form1"

# must be root
if [ "`id|cut -f 1 -d '('`" != "uid=0" ]
	then
	echo "You must be the root user to run this script."
	exit
fi

echo "This script will create the sample archive libraries for SXE OSX"
echo "in /u0/unform80/arc."
echo "If they already exist, they will first be removed."
echo ""
CONTINUE=x
while [ "$CONTINUE" != "y" -a "$CONTINUE" != "n" ]
 do
 echo "Do you wish to continue? (enter y or n below):"
 read CONTINUE
done

[ "$CONTINUE" != "y" ] && exit

# clear old first
# make sure these paths match your installation!

echo "removing samples..."
rm -rf /u0/unform80/arc/$demopfx*

# now build demo archives...
for f in `ls sxe-txt-$subfolder/*.txt`
do
 pdf=`echo $f | sed -e "s/\.txt/.pdf/"`
 echo "$f -> $pdf"
 uf80c -i "$f" -f `pwd`/sxe-v80.rul -p pdf -o "client:$pdf" -prm "demopfx=$demopfx"

done

